package com.dbnt.sims.config;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;

@AllArgsConstructor
@Getter
public enum LogStatus {
  WRITE("작성"),
  MODIFY("수정"),
  MOVE("이동"),
  DELETE("삭제"),
  FILE_ADD("파일추가"),
  FILE_REMOVE("파일삭제"),
  FILE_DOWN("파일다운로드");

  private String value;

  public static HashMap<String, String> getStatusMap(){
    HashMap<String, String> statusMap = new HashMap<>();
    for(LogStatus status: LogStatus.values()){
      statusMap.put(status.name(), status.getValue());
    }
    return statusMap;
  }
}
